/* @(#)filestat.c	1.7 00/12/03 Copyright 1985 J. Schilling */
/*
 *	Copyright (c) 1985 J. Schilling
 */
/*@@C@@*/

#include "io.h"
#include <sys/types.h>
#include <sys/stat.h>

EXPORT int
filestat(f, stbuf)
	FILE		*f;
	struct stat	*stbuf;
{
	down(f);
	return (fstat(fileno(f), stbuf));
}
